- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Properties

# QFormLayout Class Reference

Search for all occurrences

## Detailed Description

Definition at line 55 of file qformlayout.h.

`#include <qformlayout.h>`

Inheritance diagram for QFormLayout:
[legend]

List of all members.

## Public Types
enum | FieldGrowthPolicy { FieldsStayAtSizeHint, ExpandingFieldsGrow, AllNonFixedFieldsGrow }
enum | RowWrapPolicy { DontWrapRows, WrapLongRows, WrapAllRows }
enum | ItemRole { LabelRole = 0, FieldRole = 1, SpanningRole = 2 }
## Public Member Functions
| QFormLayout (QWidget *parent=0)
| ~QFormLayout ()
void | setFieldGrowthPolicy (FieldGrowthPolicy policy)
FieldGrowthPolicy | fieldGrowthPolicy () const
void | setRowWrapPolicy (RowWrapPolicy policy)
RowWrapPolicy | rowWrapPolicy () const
void | setLabelAlignment (Qt::Alignment alignment)
Qt::Alignment | labelAlignment () const
void | setFormAlignment (Qt::Alignment alignment)
Qt::Alignment | formAlignment () const
void | setHorizontalSpacing (int spacing)
int | horizontalSpacing () const
void | setVerticalSpacing (int spacing)
int | verticalSpacing () const
int | spacing () const
void | setSpacing (int)
void | addRow (QWidget *label, QWidget *field)
void | addRow (QWidget *label, QLayout *field)
void | addRow (const QString &labelText, QWidget *field)
void | addRow (const QString &labelText, QLayout *field)
void | addRow (QWidget *widget)
void | addRow (QLayout *layout)
void | insertRow (int row, QWidget *label, QWidget *field)
void | insertRow (int row, QWidget *label, QLayout *field)
void | insertRow (int row, const QString &labelText, QWidget *field)
void | insertRow (int row, const QString &labelText, QLayout *field)
void | insertRow (int row, QWidget *widget)
void | insertRow (int row, QLayout *layout)
void | setItem (int row, ItemRole role, QLayoutItem *item)
void | setWidget (int row, ItemRole role, QWidget *widget)
void | setLayout (int row, ItemRole role, QLayout *layout)
QLayoutItem * | itemAt (int row, ItemRole role) const
void | getItemPosition (int index, int *rowPtr, ItemRole *rolePtr) const
void | getWidgetPosition (QWidget *widget, int *rowPtr, ItemRole *rolePtr) const
void | getLayoutPosition (QLayout *layout, int *rowPtr, ItemRole *rolePtr) const
QWidget * | labelForField (QWidget *field) const
QWidget * | labelForField (QLayout *field) const
void | addItem (QLayoutItem *item)
QLayoutItem * | itemAt (int index) const
QLayoutItem * | takeAt (int index)
void | setGeometry (const QRect &rect)
QSize | minimumSize () const
QSize | sizeHint () const
void | invalidate ()
bool | hasHeightForWidth () const
int | heightForWidth (int width) const
Qt::Orientations | expandingDirections () const
int | count () const
int | rowCount () const
## Properties
FieldGrowthPolicy | fieldGrowthPolicy
RowWrapPolicy | rowWrapPolicy
Qt::Alignment | labelAlignment
Qt::Alignment | formAlignment
int | horizontalSpacing
int | verticalSpacing

## Member Enumeration Documentation

enum FieldGrowthPolicy

Search for all occurrences

Enumerator:

  FieldsStayAtSizeHint | Search for all occurrences
  ExpandingFieldsGrow | Search for all occurrences
  AllNonFixedFieldsGrow | Search for all occurrences

Definition at line 68 of file qformlayout.h.

                               {
            FieldsStayAtSizeHint,
            ExpandingFieldsGrow,
            AllNonFixedFieldsGrow
        };

enum RowWrapPolicy

Search for all occurrences

Enumerator:

  DontWrapRows | Search for all occurrences
  WrapLongRows | Search for all occurrences
  WrapAllRows | Search for all occurrences

Definition at line 74 of file qformlayout.h.

                           {
            DontWrapRows,
            WrapLongRows,
            WrapAllRows
        };

enum ItemRole

Search for all occurrences

Enumerator:

  LabelRole | Search for all occurrences
  FieldRole | Search for all occurrences
  SpanningRole | Search for all occurrences

Definition at line 80 of file qformlayout.h.

                      {
            LabelRole = 0,
            FieldRole = 1,
            SpanningRole = 2
        };

## Constructor & Destructor Documentation

QFormLayout | ( | QWidget * | parent = `0` | ) | `[explicit]`

~QFormLayout | ( |  | ) |

## Member Function Documentation

void setFieldGrowthPolicy | ( | FieldGrowthPolicy | policy | ) |

Search for all occurrences

FieldGrowthPolicy fieldGrowthPolicy | ( |  | ) | const

Search for all occurrences

void setRowWrapPolicy | ( | RowWrapPolicy | policy | ) |

Search for all occurrences

RowWrapPolicy rowWrapPolicy | ( |  | ) | const

Search for all occurrences

void setLabelAlignment | ( | Qt::Alignment | alignment | ) |

Search for all occurrences

Qt::Alignment labelAlignment | ( |  | ) | const

Search for all occurrences

void setFormAlignment | ( | Qt::Alignment | alignment | ) |

Search for all occurrences

Qt::Alignment formAlignment | ( |  | ) | const

Search for all occurrences

void setHorizontalSpacing | ( | int | spacing | ) |

Search for all occurrences

int horizontalSpacing | ( |  | ) | const

Search for all occurrences

void setVerticalSpacing | ( | int | spacing | ) |

Search for all occurrences

int verticalSpacing | ( |  | ) | const

Search for all occurrences

int spacing | ( |  | ) | const

Search for all occurrences

Reimplemented from QLayout.

void setSpacing | ( | int |  | ) |

Search for all occurrences

Reimplemented from QLayout.

void addRow | ( | QWidget * | label,
|  | QWidget * | field
| ) |  |

Search for all occurrences

void addRow | ( | QWidget * | label,
|  | QLayout * | field
| ) |  |

Search for all occurrences

void addRow | ( | const QString & | labelText,
|  | QWidget * | field
| ) |  |

Search for all occurrences

void addRow | ( | const QString & | labelText,
|  | QLayout * | field
| ) |  |

Search for all occurrences

void addRow | ( | QWidget * | widget | ) |

Search for all occurrences

void addRow | ( | QLayout * | layout | ) |

Search for all occurrences

void insertRow | ( | int | row,
|  | QWidget * | label,
|  | QWidget * | field
| ) |  |

Search for all occurrences

void insertRow | ( | int | row,
|  | QWidget * | label,
|  | QLayout * | field
| ) |  |

Search for all occurrences

void insertRow | ( | int | row,
|  | const QString & | labelText,
|  | QWidget * | field
| ) |  |

Search for all occurrences

void insertRow | ( | int | row,
|  | const QString & | labelText,
|  | QLayout * | field
| ) |  |

Search for all occurrences

void insertRow | ( | int | row,
|  | QWidget * | widget
| ) |  |

Search for all occurrences

void insertRow | ( | int | row,
|  | QLayout * | layout
| ) |  |

Search for all occurrences

void setItem | ( | int | row,
|  | ItemRole | role,
|  | QLayoutItem * | item
| ) |  |

Search for all occurrences

void setWidget | ( | int | row,
|  | ItemRole | role,
|  | QWidget * | widget
| ) |  |

Search for all occurrences

void setLayout | ( | int | row,
|  | ItemRole | role,
|  | QLayout * | layout
| ) |  |

Search for all occurrences

QLayoutItem* itemAt | ( | int | row,
|  | ItemRole | role
| ) |  | const

Search for all occurrences

void getItemPosition | ( | int | index,
|  | int * | rowPtr,
|  | ItemRole * | rolePtr
| ) |  | const

Search for all occurrences

void getWidgetPosition | ( | QWidget * | widget,
|  | int * | rowPtr,
|  | ItemRole * | rolePtr
| ) |  | const

Search for all occurrences

void getLayoutPosition | ( | QLayout * | layout,
|  | int * | rowPtr,
|  | ItemRole * | rolePtr
| ) |  | const

Search for all occurrences

QWidget* labelForField | ( | QWidget * | field | ) | const

Search for all occurrences

QWidget* labelForField | ( | QLayout * | field | ) | const

Search for all occurrences

void addItem | ( | QLayoutItem * | item | ) | `[virtual]`

Search for all occurrences

Implements QLayout.

QLayoutItem* itemAt | ( | int | index | ) | const `[virtual]`

Search for all occurrences

Implements QLayout.

QLayoutItem* takeAt | ( | int | index | ) | `[virtual]`

Search for all occurrences

Implements QLayout.

void setGeometry | ( | const QRect & | rect | ) | `[virtual]`

Search for all occurrences

Reimplemented from QLayout.

QSize minimumSize | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QLayout.

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayoutItem.

void invalidate | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QLayout.

bool hasHeightForWidth | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QLayoutItem.

int heightForWidth | ( | int | width | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QLayoutItem.

Qt::Orientations expandingDirections | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QLayout.

int count | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QLayout.

int rowCount | ( |  | ) | const

Search for all occurrences

## Property Documentation

FieldGrowthPolicy fieldGrowthPolicy `[read, write]`

Search for all occurrences

Definition at line 60 of file qformlayout.h.

RowWrapPolicy rowWrapPolicy `[read, write]`

Search for all occurrences

Definition at line 61 of file qformlayout.h.

Qt::Alignment labelAlignment `[read, write]`

Search for all occurrences

Definition at line 62 of file qformlayout.h.

Qt::Alignment formAlignment `[read, write]`

Search for all occurrences

Definition at line 63 of file qformlayout.h.

int horizontalSpacing `[read, write]`

Search for all occurrences

Definition at line 64 of file qformlayout.h.

int verticalSpacing `[read, write]`

Search for all occurrences

Definition at line 65 of file qformlayout.h.

The documentation for this class was generated from the following file:

- QtGui/qformlayout.h

QFormLayout QFormLayout QFormLayout QFormLayout QFormLayout QFormLayout QFormLayout QFormLayout QFormLayout QFormLayout
QFormLayout QFormLayout QFormLayout QFormLayout QFormLayout QFormLayout QFormLayout QFormLayout QFormLayout QFormLayout